System Requirements

In this article

    Before you install Veeam MP for VMware, make sure that your environment meets the following hardware and software requirements.

    NoteS

    1. Only English (US) Windows OS is fully QA tested for Veeam MP for VMware components. However, to reproduce problems and establish whether the root cause is a language-related issue, Veeam will support customers who use any other-language OS.
    2. Any system configuration that is not supported by the platform vendor (Microsoft, VMware) is also unsupported by Veeam.
    3. Installation of Veeam MP for VMware components on a Domain Controller is not supported.
    4. Safe mode is not supported for the operation of Veeam MP for VMware services.
    5. OpsMgr agent data is collected only for VMs running Microsoft Windows OS.

    VMware Infrastructure

    Specification

    Requirement

    ESXi Host

    • ESXi 5.5, 6.x, 7.x
    • vSphere Hypervisor (FREE ESXi)

    Software

    vCenter Server 5.5, 6.x, 7.x

    Microsoft System Center Operations Manager

    Specification

    Requirement

    OpsMgr

    • Microsoft System Center Operations Manager 2019
    • Microsoft System Center Operations Manager 2016
    • Microsoft System Center Operations Manager 2012 R2

    Notes:

    • Semi-Annual Channel (SAC) releases are supported.
    • Make sure that the latest available updates for System Center Operations Manager are installed.

    Hardware

    Hard disk space: variable storage size — required for the OpsMgr database. For details, see Scalability Considerations, or use the Veeam MP for VMware Sizing Calculator available as a part of the Veeam MP for Microsoft System Center Resource Kit included in the Veeam MP ISO image.

    Additional Software

    OpsMgr Reporting server and Data Warehouse — optional; required for reporting.

    Important! Veeam MP reporting only supports Microsoft SQL Server 2012 SP3, SQL Server 2014, SQL Server 2016, SQL Server 2017 and SQL Server 2019 Reporting Services.

    Veeam VMware Collector

    The Collector server is a Windows-based physical or virtual machine that hosts an OpsMgr agent (or Management Server) and the Veeam VMware Collector component. Depending on the size of the VMware infrastructure and monitoring requirements (for example, high availability), more than one Collector server may be required. For more information, see Scalability Considerations.

    You can install the Collector on a standard OpsMgr agent in the Proxy mode. However, to achieve best performance and scalability, install the Veeam VMware Collector component on an OpsMgr Management Server. Before you install the Collector, make sure the machine where the Veeam VMware Collector component will be deployed meets the following system requirements:

    Specification

    Requirement

    Hardware

    Processor: 4 x 2GHz minimum.

    Memory: 4GB RAM minimum. For maximum scalability and performance, x64 OS with 6GB RAM is recommended.

    Hard disk space: 2GB minimum — required for .NET Framework installation, binaries and logfiles.

    OS

    • Microsoft Windows Server 2019
    • Microsoft Windows Server 2016
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2012

    Notes:

    • Semi-Annual Channel (SAC) releases are supported.
    • All current operating system security updates and patches must be installed.

    Additional Software

    Microsoft .NET Framework 4.0 or later

    Veeam Virtualization Extensions Service

    The VE Service component manages connections to VMware systems and Collectors, handles Veeam MP for VMware licenses, and controls load balancing and high availability of your virtual environment. If you use the Collector auto-deployment feature to install Collectors on Management Servers in an OpsMgr resource pool, the VE Service will deploy the Collector installer objects to all Management Servers in this resource pool.

    NoteS

    1. You must install the VE Service on an OpsMgr Management Server.
    2. To unlock full functionality of the Enterprise Plus Edition, all instances of the VE Service must have the Veeam MP Enterprise Plus license. For more information on the Veeam MP for VMware licensing, see FAQs on Veeam Management Pack for System Center.

     

    Specification

    Requirement

    Hardware

    Processor: processor architecture must be x64.

    Hard disk space: 2GB minimum — required for .NET Framework installation, binaries and logfiles.

    Note: The VE Service does not perform heavy-load data processing. The minimum hardware requirement for an OpsMgr Management Server will support the VE Service with no significant additional load generated.

    OS

    • Microsoft Windows Server 2019
    • Microsoft Windows Server 2016
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2012

    Notes:

    • Semi-Annual Channel (SAC) releases are supported.
    • All current operating system security updates and patches must be installed.

    Additional Software

    • OpsMgr Management Server
    • Windows Remote Management must be enabled for the Management Server
    • Microsoft .NET Framework 4.0 or later
    • Windows PowerShell 2.0 or later — required for Veeam Virtualization Extensions Shell

    Veeam Virtualization Extensions UI

    The Veeam Virtualization Extensions User Interface is an IIS-based web application that allows authorized users to access the VE Service, configure VMware connections and manage Collector settings. The Veeam UI component can be installed together with the VE Service, or on a separate machine.

    Specification

    Requirement

    Hardware

    Hard disk space: 2GB minimum — required for .NET Framework installation, binaries and logfiles.

    OS

    • Microsoft Windows Server 2019
    • Microsoft Windows Server 2016
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2012

    Notes:

    • Semi-Annual Channel (SAC) releases are supported.
    • All current operating system security updates and patches must be installed.

    Additional Software

    • Microsoft Internet Information Services 7.0 or later (IIS with required features is installed as a part of the Veeam UI installation)
    • Microsoft .NET Framework 4.0 or later
    • Microsoft Internet Explorer 11 or later
    • Microsoft Edge 44 or later
    • Google Chrome 83.0 or later

     

    Important

    Installation of the Veeam UI component on a vCenter Server is not supported due to the conflicts between the IIS requirement for the Veeam UI and the embedded web server used by the vCenter Server.